US considers IE too vulnerable to use

US considers IE too vulnerable to use

July 2, 2004 | Life

According to the Department of Homeland Security, IE and IIS together are too vulnerable to use. Read the story at Yahoo.